libjava-gnome-jni_4.1.3-8_i386.deb


Advertisement

Description

libjava-gnome-jni - Java-gnome language bindings project JNI layer

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libjava-gnome-jni_4.1.3-8_i386.deb
Package name libjava-gnome-jni
Package version 4.1.3
Package release 8
Package architecture i386
Package type deb
Category java uitoolkit::gtk
Homepage http://java-gnome.sourceforge.net/
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 184.25 KB
Installed size 1.04 MB
These are the Java bindings for GTK+ and GNOME! Featuring a robust
engineering design, completely generated internals, a lovingly crafted
layer presenting the public API, and steadily increasing coverage of
the underlying libraries.
You can use java-gnome to develop sophisticated user interfaces for
Linux applications so that they richly integrate with the GNOME Desktop
while leveraging the power of the Java language and your expertise with
it.
This package contains the necessary JNI layer.

Alternatives

Package Version Architecture Repository
libjava-gnome-jni_4.1.3-8_amd64.deb 4.1.3 amd64 Debian Main
libjava-gnome-jni - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.7
libcairo-gobject2 >= 1.10.0
libcairo2 >= 1.10.0
libenchant1c2a >= 1.6.0
libfribidi0 >= 0.19.2
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.31.18
libgtk-3-0 >= 3.4
libgtksourceview-3.0-1 >= 3.0
libnotify4 >= 0.7.0
libpango-1.0-0 >= 1.28
libpangocairo-1.0-0 >= 1.28
librsvg2-2 >= 2.32

Replaces

Name Value
libjava-gnome-java << 4.0.11

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libjava-gnome-jni_4.1.3-8_i386.deb
Source Package java-gnome

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libjava-gnome-jni deb package:
    # sudo apt-get install libjava-gnome-jni

Files

Path
/usr/lib/jni/libgtkjni-4.1.3.so
/usr/share/doc/libjava-gnome-jni/changelog.Debian.gz
/usr/share/doc/libjava-gnome-jni/copyright

Changelog

2018-05-16 - Emmanuel Bourg <ebourg@apache.org>
java-gnome (4.1.3-8) unstable; urgency=medium
* Team upload.
* Fixed the build failure with Java 10 (Closes: #898221)
* Standards-Version updated to 4.1.4
* Use salsa.debian.org Vcs-* URLs
* Removed the duplicate Section field in debian/control
2018-03-07 - Emmanuel Bourg <ebourg@apache.org>
java-gnome (4.1.3-7) unstable; urgency=medium
* Team upload.
* No longer generate the -java-doc package (Closes: #875576)
* Standards-Version updated to 4.1.3
* Switch to debhelper level 11
2017-01-25 - Emmanuel Bourg <ebourg@apache.org>
java-gnome (4.1.3-6) unstable; urgency=medium
* Team upload.
* Skip the verification of the Java runtime (Closes: #851839)
2017-01-10 - Emmanuel Bourg <ebourg@apache.org>
java-gnome (4.1.3-5) unstable; urgency=medium
* Team upload.
* Build with the DH sequencer instead of CDBS (Closes: #849669)
* Use dbus-run-session instead of dbus-launch to run metacity
and depend on dbus (>= 1.8) instead of dbus-x11 (Closes: #836100)
* Disabled parallel building (Closes: #779344)
* Standards-Version updated to 3.9.8
* Switch to debhelper level 10
* Use secure Vcs-* URLs
2015-07-11 - tony mancill <tmancill@debian.org>
java-gnome (4.1.3-4) unstable; urgency=medium
* Team upload.
[ Guillaume Mazoyer ]
* debian/rules
- Set CFLAGS and LDFLAGS variables according to the Debian standards.
- Add -ffunction-sections to CFLAGS for hppa.
- Set V=1 to build in verbose mode so the compiler flags are not hidden.
* Properly use debhelper 9.
[ tony mancill ]
* Add patch for configure script on ppc64el.  (Closes: #767322)
- Note that patch only enables for binary (-B) builds.
* Disable GLIB deprecation warnings during test phase by setting
G_ENABLE_DIAGNOSTIC=0.  This was causing build failures.
(Closes: #789851)
* Bump Standards-Version to 3.9.6.
2014-09-09 - tony mancill <tmancill@debian.org>
java-gnome (4.1.3-3) unstable; urgency=medium
* Team upload.
* Use DEB_INDEP_PACKAGES so the -doc and -java packages are not built
on all archs.  (Closes: #760888)
* Change section from "libs" to "java" for libjava-gnome-jni to resolve
override disparity.
* Migrate the packaging repo from svn to git.
2014-08-26 - tony mancill <tmancill@debian.org>
java-gnome (4.1.3-2) unstable; urgency=medium
* Team upload.
* Rename existing Portuguese transation as Brazilian (pt_BR)
and replace existing Portuguese translation.  (Closes: #759039)
- Thank you to Américo Monteiro for the translation.
* Update Vcs URLs.
* Refresh patches.
2014-05-19 - Guillaume Mazoyer <respawneral@gmail.com>
java-gnome (4.1.3-1) unstable; urgency=low
* New upstream release.
* debian/control
- Remove libunique dependency.
- Remove DM-Upload-Allowed field.
- Add dbus-x11 dependency to take doc screenshots.
- Update Standards-Version to 3.9.4.
* debian/README.Maintainer
- Add instructions for maintainers.
* debian/libjava-gnome-java.docs
- Update documentation filenames.
* debian/libjava-gnome-java-doc.install
- Fix HACKING file installation.
* debian/patches/02_unique_dependency.diff
- Remove no longer needed patch (fixed upstream).
* debian/patches/02_build_python.diff
- Add patch to fix build process (python2 env variable not found).
* debian/patches/03_build_doc_snapshots.diff (Closes: #748565)
- Add patch to fix build process of the documentation (accessibilty bug).
2012-08-30 - Guillaume Mazoyer <respawneral@gmail.com>
java-gnome (4.1.2-1) unstable; urgency=low
* New upstream release.
* debian/control
- Bump GTK required version to 3.4.
- Remove useless quilt dependency.
- Update descriptions to fix lintian warnings.
* debian/patches/02_java7_compat.diff
- Remove no longer needed patch (fixed upstream).
* debian/patches/02_unique_dependency.diff
- Add patch to fix the libunique dependency.
* debian/watch
- Upstream provides only .xz tarballs.
* debian/copyright
- Use new format.
- Update file copyright.

See Also

Package Description
libjava-jdbc-clojure_0.7.0-2_all.deb Clojure interface to sql databases via jdbc
libjava-jmx-clojure_0.3.4-1_all.deb produce and consume JMX beans from Clojure
libjava-string-similarity-java_0.24-2_all.deb library of different string similarity and distance measures
libjava-xmlbuilder-java-doc_0.4-2_all.deb Documentation for XML Builder Java library for creating XML documents
libjava-xmlbuilder-java_0.4-2_all.deb XML Builder Java library for creating XML documents
libjava3d-java-doc_1.5.2+dfsg-16_all.deb Documentation for the Java3D API
libjava3d-java_1.5.2+dfsg-16_all.deb Java 3D API (java library)
libjava3d-jni_1.5.2+dfsg-16_i386.deb Java3D API (java jni library)
libjavacc-maven-plugin-java_2.6-4_all.deb maven plugin which uses JavaCC to process JavaCC grammar files
libjavaewah-java-doc_0.7.9-1_all.deb Compressed variant of the Java bitset class (documentation)
libjavaewah-java_0.7.9-1_all.deb Compressed variant of the Java bitset class
libjavafxsvg-java_1.2.1-2_all.deb CenterDevice JavaFxSVG library
libjavaparser-java-doc_1.0.11-1_all.deb Java library for parsing Java 7 (documentation)
libjavaparser-java_1.0.11-1_all.deb Java library for parsing Java 7
libjavapoet-java_1.11.1-1_all.deb Java API for generating .java source files
Advertisement
Advertisement